# lsp-plug-in-plugins-lv2-oscillator-mono

LSP Oscillator Mono

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──GstAudioFilter
                            ╰──lsp-plug-in-plugins-lv2-oscillator-mono

## Implemented interfaces

    GstPreset

## Factory details

Authors: – LSP LV2

Classification: – `Filter/Effect/Audio/LV2/Oscillator`

Rank – none

Plugin – lv2

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    audio/x-raw:
             format: F32LE
           channels: 1
               rate: [ 1, 2147483647 ]
             layout: interleaved

Presence – always

Direction – sink

Object type – GstPad

### `src`

    audio/x-raw:
             format: F32LE
           channels: 1
               rate: [ 1, 2147483647 ]
             layout: interleaved

Presence – always

Direction – src

Object type – GstPad

## Properties

### bypass

    “bypass” gboolean

Bypass

Flags : Read / Write / Construct

Default value : false

### dcoff

    “dcoff” gfloat

DC Offset

Flags : Read / Write / Construct

Default value : 0

### freq

    “freq” gfloat

Frequency

Flags : Read / Write / Construct

Default value : 440

### gain

    “gain” gfloat

Output gain

Flags : Read / Write / Construct

Default value : 1

### iniph

    “iniph” gfloat

Initial Phase

Flags : Read / Write / Construct

Default value : 0

### invps

    “invps” gboolean

Invert Parabolic Signal

Flags : Read / Write / Construct

Default value : false

### invss

    “invss” gboolean

Invert Squared Sinusoids

Flags : Read / Write / Construct

Default value : false

### out-latency

    “out-latency” gint

Latency OUT

Flags : Read

Default value : 0

### pwdth

    “pwdth” gfloat

Width

Flags : Read / Write / Construct

Default value : 100

### rdtrt

    “rdtrt” gfloat

Duty Ratio

Flags : Read / Write / Construct

Default value : 50

### scf

    “scf” Lsp-plug-in-plugins-lv2-oscillator-monoscf *

Function

Flags : Read / Write / Construct

Default value : Sine (0)

### scm

    “scm” Lsp-plug-in-plugins-lv2-oscillator-monoscm *

Operation Mode

Flags : Read / Write / Construct

Default value : Add (0)

### scom

    “scom” Lsp-plug-in-plugins-lv2-oscillator-monoscom *

Oversampler Mode

Flags : Read / Write / Construct

Default value : x8 (5)

### scr

    “scr” Lsp-plug-in-plugins-lv2-oscillator-monoscr *

DC Reference

Flags : Read / Write / Construct

Default value : Wave DC (0)

### swdth

    “swdth” gfloat

Width

Flags : Read / Write / Construct

Default value : 50

### tflrt

    “tflrt” gfloat

Fall Ratio

Flags : Read / Write / Construct

Default value : 25

### tnwrt

    “tnwrt” gfloat

Negative Width

Flags : Read / Write / Construct

Default value : 25

### tpwrt

    “tpwrt” gfloat

Positive Width

Flags : Read / Write / Construct

Default value : 25

### trsrt

    “trsrt” gfloat

Raise Ratio

Flags : Read / Write / Construct

Default value : 25

## Named constants

### Lsp-plug-in-plugins-lv2-oscillator-monoscf

#### Members

`Sine` (0) – Sine
`Cosine` (1) – Cosine
`Squared Sine` (2) – Squared Sine
`Squared Cosine` (3) – Squared Cosine
`Rectangular` (4) – Rectangular
`Sawtooth` (5) – Sawtooth
`Trapezoid` (6) – Trapezoid
`Pulsetrain` (7) – Pulsetrain
`Parabolic` (8) – Parabolic
`Band Limited Rectangular` (9) – Band Limited Rectangular
`Band Limited Sawtooth` (10) – Band Limited Sawtooth
`Band Limited Trapezoid` (11) – Band Limited Trapezoid
`Band Limited Pulsetrain` (12) – Band Limited Pulsetrain
`Band Limited Parabolic` (13) – Band Limited Parabolic

### Lsp-plug-in-plugins-lv2-oscillator-monoscm

#### Members

`Add` (0) – Add
`Multiply` (1) – Multiply
`Replace` (2) – Replace

### Lsp-plug-in-plugins-lv2-oscillator-monoscom

#### Members

`None` (0) – None
`x2` (1) – x2
`x3` (2) – x3
`x4` (3) – x4
`x6` (4) – x6
`x8` (5) – x8

### Lsp-plug-in-plugins-lv2-oscillator-monoscr

#### Members

`Wave DC` (0) – Wave DC
`Zero DC` (1) – Zero DC

The results of the search are